Subject: Re: bug#17172: 24.3.50; Timeouts when pasting from mouse

From: "Jan D." <[email-masked]>
Date: Tue, 15 Apr 2014 12:17:45 +0200

Hello.

Paul Eggert skrev 2014-04-15 10:02:
> Thanks for the bug report.  I can't reproduce the problem on my Fedora
> 20 x86-64 desktop, but in reviewing xgselect.c I see some glitches that
> could explain things.  Please try the attached patch and let us know
> whether it helps with your problem.  Please compile with
> -DENABLE_CHECKING so that the patch's 'eassert' calls have teeth.  Thanks.

I don't think xgselect has anything to do with this.  Either a response 
comes on the X connection, or it doesn't.  It can't come anywhere else.
If the X connection does not work, Emacs would not work at all.

We need some relevant info, like what OS are you running, what desktop 
environment, what is the "my browser" that you selected from?
Can you select text from "my browser" into another application?

Please try to be more specific.

	Jan D.